
// MinimalPlots.java
// Yuriy Guskov
// Modified by Andrew Davison, ad@fivedots.coe.psu.ac.th, March 2023

/* A line plot, scatter plot, and bar chart using the same
   data, and a scatter plot of data loaded from a file.

   Usage:
     > compile MinimalPlots.java
     > run MinimalPlots
*/

import com.github.plot.Plot;


public class MinimalPlots
{

  public static void main(String[] args)
  {
    Plot.Data plotData = Plot.data().
                    xy(1, 2).xy(2, 3).xy(3, 6).xy(4, 4);

    Utils.line(plotData);

    Utils.scatter(plotData);

    Utils.bar(plotData);

    Utils.scatter("data1.txt Scatter", Utils.loadData("data1.txt"));
  } /* main */

}
